#!/usr/bin/python3

# Etape 1 : Demande à l’utilisateur de saisir une phrase.
# Etape 2 : Divise la phrase en mots.
# Etape 3 : Utilise un dictionnaire pour compter les occurrences de chaque mot.
# Etape 4 : Affiche chaque mot avec son nombre d’occurrences.

# Demander à l'utilisateur de saisir une phrase
phrase = input("Entrez une phrase : ")

# Convertir la phrase en une liste de mots
mots = phrase.split()

# Créer un dictionnaire pour stocker les occurrences des mots
occurrences = {}

# Compter les occurrences de chaque mot
for mot in mots:
    if mot in occurrences:
        occurrences[mot] += 1
    else:
        occurrences[mot] = 1

# Afficher les mots et leurs occurrences
print("Occurrences des mots :")
for mot, count in occurrences.items():
    print(f"{mot} : {count}")
